Ignore:
Timestamp:
2021-04-04T16:42:16+12:00 (3 years ago)
Author:
davidb
Message:

Some of the work that used to be done here is not down in the '05' script

File:
1 edited

Legend:

Unmodified
Added
Removed
  • main/trunk/model-sites-dev/eurovision-lod/collect/eurovision/prepare/07-GEN-PROBLEM-LOD-LISTS.sh

    r34989 r35002  
    11#!/bin/bash
    2 
    3 
    4 #echo "Copying:"
    5 #echo "  countries-in-esc-by-year.json -> ../import/countries-in-esc-by-year.json"
    6 
    72
    83echo ""
     
    1611echo "Generating Category in Year problem list: problem-category-in-year.html"
    1712
    18 if [ ! -f problem-lod-lists/problem-category-in-year.sparql ] ; then
    19     echo "  Failed to detect SPARQL query: problem-lod-lists/problem-category-in-year.sparql"
    20     echo "  Running 'errata-categories/esc-wikipedia-download-and-detect-missing-cat-entries.py' to generate it"
    21     echo "  ... with output of running the command saved to: errata-categories/output--missing-cat-entries.txt"   
    22     cd errata-categories && ./esc-wikipedia-download-and-detect-missing-cat-entries.py > output--missing-cat-entries.txt && cd ..
    23     if [ $? != 0 ] ; then
    24     echo "Error encountered running ./esc-wikipedia-download-and-detect-missing-cat-entries.py" >&2
    25     exit 1
    26     fi
    27 fi
    28 
     13#if [ ! -f problem-lod-lists/problem-category-in-year.sparql ] ; then
     14#    echo "  Failed to detect SPARQL query: problem-lod-lists/problem-category-in-year.sparql"
     15#    echo "  Running 'errata-categories/esc-wikipedia-download-and-detect-missing-cat-entries.py' to generate it"
     16#    echo "  ... with output of running the command saved to: errata-categories/output--missing-cat-entries.txt"   
     17#    cd errata-categories && ./esc-wikipedia-download-and-detect-missing-cat-entries.py > output--missing-cat-entries.txt && cd ..
     18#    if [ $? != 0 ] ; then
     19#   echo "Error encountered running ./esc-wikipedia-download-and-detect-missing-cat-entries.py" >&2
     20#   exit 1
     21#    fi
     22#fi
    2923
    3024./DBPEDIA-LOD-SPARQL-QUERY.sh problem-lod-lists/dbpedia-problem-category-in-year.sparql html
    3125
    3226
    33 #echo "Generating *combined* Song and Entrant problem list: problem-songs-and-entrants.html"
    34 #./DBPEDIA-LOD-SPARQL-QUERY.sh problem-songs-and-entrants.sparql  html
    35 
    36 
    37 #echo "Generating *return path* Song and Entrant problem list: problem-return-path-songs-and-entrants.html"
    38 #./DBPEDIA-LOD-SPARQL-QUERY.sh problem-return-path-songs-and-entrants.sparql  html
    39 
    4027echo ""
Note: See TracChangeset for help on using the changeset viewer.